Doomsday Engine - Bug #1681

Garbled screen build 1080
2013-12-16 12:51 - eunbolt

Status: Closed Start date: 2013-12-16
Priority: Normal % Done: 0%
Assignee:

Category:

Target version:

Description

Screenshot of problem attached

dave@theBeast:/usr/bin$ ./doomsday -vv

Application path: /usr/bin/doomsday

Enabled log entry level: MESSAGE

Created a new 32.0 MB memory volume.

Config::read: modules/Config matches version [ 2, 0, 0, 1080 ]

Executable: Doomsday Engine 1.13.0 [#1080] (Unstable 64-bit) Dec 16 2013 03:17:29.
Command line (2 strings):

0: ./doomsday

1:-wv

RenderSystem: Loading shader definitions from read-only archive entry "data/renderer.pack/
shaders.dei" at path "/data/doomsday.pk3/data/renderer.pack/shaders.dei"

(out of archive in read-only native file "(basedir)/data/doomsday.pk3")

Initializing plugins...

(id:1) libdehread

(id:2) libdoom

(id:3) libdoom64

(id:4) libexample

(id:5) libheretic

(id:6) libhexen

(id:7) libwadmapconverter

I_InitJoystick: No joysticks found

Starting GuiApp event loop...

OpenGL 3.0 supported

OpenGL information:

Version: 3.0 Mesa 10.1.0-devel (git-cbe7431 saucy-oibaf-ppa)

Renderer: Gallium 0.4 on AMD BARTS

Vendor: X.Org

Capabilities:

Compressed texture formats: 3

Available texture units: 8

Maximum texture anisotropy: 16

Maximum texture size: 16384

Line width granularity: 0.1

Line width range: 1...16384

OpenGL Extensions:

AMD extensions:

conservative_depth, draw_buffers_blend, seamless_cubemap_per_texture,
shader_stencil_export

ANGLE extensions:

texture_compression_dxt3, texture_compression_dxt5

APPLE extensions:

packed_pixels, vertex_array_object

ARB extensions:

multisample, point_parameters, framebuffer_sRGB, multitexture, texture_cube_map,
texture_env_add, transpose_matrix, texture_border_clamp, texture_compression,
depth_texture, occlusion_query, shadow, texture_env_combine,
texture_env_crossbar, texture_env_dot3, texture_mirrored_repeat, window_pos,
draw_buffers, fragment_program, fragment_shader, shader_objects, vertex_program,
vertex_shader, depth_clamp, fragment_program_shadow, half_float_pixel,
occlusion_query2, point_sprite, shading_language_100, sync,
texture_non_power_of_two, vertex_buffer_object, color_buffer_float,
pixel_buffer_object, texture_compression_rgtc, texture_float, texture_rectangle,
framebuffer_object, vertex_array_object, copy_buffer, depth_buffer_float,
draw_instanced, half_float_vertex, instanced_arrays, map_buffer_range,
texture_rg, texture_swizzle, vertex_array_bgra, ES2_compatibility,
blend_func_extended, debug_output, draw_buffers_blend, draw_elements_base_vertex,
explicit_attrib_location, fragment_coord_conventions, provoking_vertex,
sampler_objects, seamless_cube_map, shader_stencil_export, shader_texture_lod,
texture_cube_map_array, texture_multisample, texture_rgb10_a2ui,
uniform_buffer_object, vertex_type_2_10_10_10_rev, get_program_binary,
robustness, shader_bit_encoding, timer_query, transform_feedback2,
transform_feedback3, base_instance, conservative_depth, internalformat_query,
map_buffer_alignment, shading_language_420pack, shading_language_packing,
texture_storage, transform_feedback_instanced, invalidate_subdata,
texture_storage_multisample, vertex_attrib_binding, texture_mirror_clamp_to_edge,
vertex_type_10f_11f_11f_rev

ATI extensions:

draw_buffers, texture_env_combine3, texture_float, blend_equation_separate,
texture_compression_3dc, separate_stencil, texture_mirror_once

EXT extensions:

abgr, bgra, blend_color, blend_minmax, blend_subtract, copy_texture,
polygon_offset, subtexture, texture_object, vertex_array, compiled_vertex_array,
texture, texture3D, draw_range_elements, packed_pixels, point_parameters,
rescale_normal, separate_specular_color, texture_edge_clamp, framebuffer_sRGB,
blend_func_separate, fog_coord, multi_draw_arrays, secondary_color,
texture_env_add, texture_filter_anisotropic, texture_lod_bias,

framebuffer_object, texture_compression_s3tc, texture_env_combine,
texture_env_dot3, stencil_two_side, texture_cube_map, shadow_funcs, stencil_wrap,
blend_equation_separate, packed_float, pixel_buffer_object,
texture_compression_dxt1, texture_compression_rgtc, texture_mirror_clamp,
texture_rectangle, texture_sRGB, texture_shared_exponent, framebuffer_blit,
framebuffer_multisample, packed_depth_stencil, draw_buffers2, draw_instanced,
gpu_program_parameters, texture_array, texture_compression_latc, texture_integer,
texture_sRGB_decode, timer_query, texture_swizzle, vertex_array_bgra,
provoking_vertex, texture_snorm, framebuffer_multisample_blit_scaled,
transform_feedback

IBM extensions:

rasterpos_clip, multimode_draw_arrays, texture_mirrored_repeat

INGR extensions:

blend_func_separate

KHR extensions:

debug

MESA extensions:

window_pos, pack_invert, texture_signed_rgba

NV extensions:

blend_square, light_max_exponent, texgen_reflection, texture_env_combine4,
packed_depth_stencil, texture_rectangle, depth_clamp, fog_distance,
primitive_restart, conditional_render, texture_barrier, vdpau_interop

OES extensions:

read_format, EGL_image

S3 extensions:

s3tc

SGIS extensions:

generate_mipmap, texture_border_clamp, texture_edge_clamp, texture_lod

SUN extensions:

multi_draw_arrays

Initializing Render subsystem...

Setting up platform state...

Warning: loadAudioDriver: Loading of "fmod" failed.

Warning: Failed initializing audio driver "FMOD"

Warning:DS_SDLMixerlnit: Linked version of SDLMixer (1.2.12) is newer than expected
(1.2.11)

Audio configuration (by decreasing priority):

Music: SDLMixer::Music

SFX: SDLMixer

Using DOOMWADDIR: ~/Games/Doom

ExampleHook: Hook successful!

Canvas: Gained focus.
Initializing InFine subsystem...

Initializing Ul subsystem...

Locating "HACX - Twitch 'n Kill"...

Locating "Chex(R) Quest"...

Locating "Final DOOM: TNT: Evilution"...

Locating "Final DOOM: The Plutonia Experiment"...

Locating "DOOM 2: Hell on Earth"...

Locating "Ultimate DOOM"...

Locating "DOOM Registered"...

Locating "DOOM Shareware"...

Locating "Doom 64"...

Locating "Heretic: Shadow of the Serpent Riders"...

Locating "Heretic Registered"...

Locating "Heretic Shareware"...

Locating "Hexen: Deathkings of the Dark Citadel"...

Locating "Hexen"...

Locating "Hexen v1.0"...

Locating "Hexen 4-map Demo"...

Locating "Hexen 4-map Beta Demo"...

ResourceSystem: initCompositeTextures: Completed in 0 seconds.
A1 initFlatTextures: Completed in 0 seconds.

A 1 initSpriteTextures: Completed in 0 seconds.

Parsing definition files...

readAllDefinitions: Completed in 0.01 seconds.

Definitions:

1 finales

11 materials

ResourceSystem: Building sprites...

A : Completed in 0 seconds.

A : Model init completed in 0 seconds.

FIC_PredefinedFont: Warning, unknown font 'System:normal24'.
FIC_PredefinedFont: Warning, unknown font 'System:normal24'.
FIC_PredefinedFont: Warning, unknown font 'System:normal24'.
FIC_PredefinedFont: Warning, unknown font 'System:normal24'.
FIC_PredefinedFont: Warning, unknown font 'System:normal24'.
FIC_PredefinedFont: Warning, unknown font 'System:normal24'.
FIC_PredefinedFont: Warning, unknown font 'System:normal24'.
FIC_PredefinedFont: Warning, unknown font 'System:normal24'.
FIC_PredefinedFont: Warning, unknown font 'System:normal24'.
FIC_PredefinedFont: Warning, unknown font 'System:normal24'.
Automatic game selection failed

Canvas: Lost focus.

A : Gained focus.

A Lost focus.

Related issues:
Related to Bug #1707: [NVIDIA] Antialiasing with forced driver setting (black... Closed 2014-01-06

History

#1 - 2013-12-16 13:07 - eunbolt

1073 Is the last working version

Forgot to add
This is running ubuntu 13.10 64bit

#2 - 2013-12-16 19:45 - skyjake

Version: 3.0 Mesa 10.1.0-devel (git-cbe7431 saucy-oibaf-ppa)
Renderer: Gallium 0.4 on AMD BARTS

We should first rule out possible driver bugs. Do you have an alternative OpenGL driver to try?

#3 - 2013-12-18 17:55 - skyjake
- Subject changed from Garbled screen build #1080 to Garbled screen build 1080
#4 - 2014-01-06 08:27 - eunbolt

appending "-nofsaa" to doomsday in the terminal fixes the garbled screen

#5 - 2015-03-07 03:26 - danij

- Status changed from New to Closed

Files

Screenshot from 2013-12-16 20_48_19.png 294 KB
